<configuration>    
    <!-- %m输出的信息,%p日志级别,%t线程名,%d日期,%c类的全名,,,, -->    
    <appender name="STDOUT" class="ch.qos.logback.core.ConsoleAppender">    
        <encoder>    
            <pattern>%d %p (%file:%line\)- %m%n</pattern>  
            <charset>UTF-8</charset>   
        </encoder>    
    </appender>    
    <appender name="baselog"    
        class="ch.qos.logback.core.rolling.RollingFileAppender">    
        <File>log/base.log</File>    
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">    
            <fileNamePattern>log/base.log.%d.%i</fileNamePattern>    
            <timeBasedFileNamingAndTriggeringPolicy  class="ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP">    
                <!-- or whenever the file size reaches 64 MB -->    
                <maxFileSize>64 MB</maxFileSize>    
            </timeBasedFileNamingAndTriggeringPolicy>    
        </rollingPolicy>    
        <encoder>    
            <pattern>    
                %d %p (%file:%line\)- %m%n  
            </pattern>    
            <charset>UTF-8</charset> <!-- 此处设置字符集 -->   
        </encoder>    
    </appender>
    <appender name="daolog"
              class="ch.qos.logback.core.rolling.RollingFileAppender">
        <File>log/dao.log</File>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>log/dao.log.%d.%i</fileNamePattern>
            <timeBasedFileNamingAndTriggeringPolicy  class="ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP">
                <!-- or whenever the file size reaches 64 MB -->
                <maxFileSize>64 MB</maxFileSize>
            </timeBasedFileNamingAndTriggeringPolicy>
        </rollingPolicy>
        <encoder>
            <pattern>
                %d %p (%file:%line\)- %m%n
            </pattern>
            <charset>UTF-8</charset> <!-- 此处设置字符集 -->
        </encoder>
    </appender>
    <appender name="errorlog"    
        class="ch.qos.logback.core.rolling.RollingFileAppender">    
        <File>log/error.log</File>    
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">    
            <fileNamePattern>log/error.log.%d.%i</fileNamePattern>    
            <timeBasedFileNamingAndTriggeringPolicy  class="ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP">    
                <!-- or whenever the file size reaches 64 MB -->    
                <maxFileSize>64 MB</maxFileSize>    
            </timeBasedFileNamingAndTriggeringPolicy>    
        </rollingPolicy>    
        <encoder>    
            <pattern>    
                %d %p (%file:%line\)- %m%n  
            </pattern>    
            <charset>UTF-8</charset> <!-- 此处设置字符集 -->   
        </encoder>    
    </appender>    
    <root level="DEBUG">
        <appender-ref ref="STDOUT" />    
    </root>    
    <logger name="com.hfkj" level="DEBUG">
        <appender-ref ref="baselog" />   
    </logger>
    <logger name="com.hfkj.dao" level="DEBUG">
        <appender-ref ref="daolog" />
    </logger>
    <logger name="com.hfkj" level="ERROR">
        <appender-ref ref="errorlog" />   
    </logger>

    <!-- 定制日志 -->
    <!-- 四川中石油 -->
    <appender name="ScPetroLog"  class="ch.qos.logback.core.rolling.RollingFileAppender">
        <File>log/ScPetroLog.log</File>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>log/ScPetroLog/ScPetroLog.log.%d.%i</fileNamePattern>
            <timeBasedFileNamingAndTriggeringPolicy  class="ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP">
                <!-- or whenever the file size reaches 64 MB -->
                <maxFileSize>64 MB</maxFileSize>
            </timeBasedFileNamingAndTriggeringPolicy>
        </rollingPolicy>
        <encoder>
            <pattern>
                %d %p (%file:%line\)- %m%n
            </pattern>
            <charset>UTF-8</charset> <!-- 此处设置字符集 -->
        </encoder>
    </appender>
    <logger name="com.hfkj.service.coupon.channel.PetroConfig" level="INFO">
        <appender-ref ref="ScPetroLog" />
    </logger>

    <!-- 支付通知 -->
    <appender name="PayNotifyLog"  class="ch.qos.logback.core.rolling.RollingFileAppender">
        <File>log/PayNotifyLog.log</File>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>log/PayNotify/PayNotifyLog.log.%d.%i</fileNamePattern>
            <timeBasedFileNamingAndTriggeringPolicy  class="ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP">
                <!-- or whenever the file size reaches 64 MB -->
                <maxFileSize>64 MB</maxFileSize>
            </timeBasedFileNamingAndTriggeringPolicy>
        </rollingPolicy>
        <encoder>
            <pattern>
                %d %p (%file:%line\)- %m%n
            </pattern>
            <charset>UTF-8</charset> <!-- 此处设置字符集 -->
        </encoder>
    </appender>
    <logger name="com.order.controller.OrderPayNotifyController" level="INFO">
        <appender-ref ref="PayNotifyLog" />
    </logger>
    <!-- 支付通知 -->


    <!-- 汇联通卡券 -->
    <appender name="HltCouponLog"  class="ch.qos.logback.core.rolling.RollingFileAppender">
        <File>log/HltCouponLog.log</File>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>log/HltCoupon/HltCouponLog.log.%d.%i</fileNamePattern>
            <timeBasedFileNamingAndTriggeringPolicy  class="ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP">
                <!-- or whenever the file size reaches 64 MB -->
                <maxFileSize>64 MB</maxFileSize>
            </timeBasedFileNamingAndTriggeringPolicy>
        </rollingPolicy>
        <encoder>
            <pattern>
                %d %p (%file:%line\)- %m%n
            </pattern>
            <charset>UTF-8</charset> <!-- 此处设置字符集 -->
        </encoder>
    </appender>
    <logger name="com.hfkj.service.coupon.channel.HuiLianTongCouponService" level="INFO">
        <appender-ref ref="HltCouponLog" />
    </logger>
    <!-- 汇联通卡券 -->

    <!-- 汇联通工会卡 -->
    <appender name="HltCardLog"  class="ch.qos.logback.core.rolling.RollingFileAppender">
        <File>log/HltCardLog.log</File>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>log/HltCard/HltCouponLog.log.%d.%i</fileNamePattern>
            <timeBasedFileNamingAndTriggeringPolicy  class="ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP">
                <!-- or whenever the file size reaches 64 MB -->
                <maxFileSize>64 MB</maxFileSize>
            </timeBasedFileNamingAndTriggeringPolicy>
        </rollingPolicy>
        <encoder>
            <pattern>
                %d %p (%file:%line\)- %m%n
            </pattern>
            <charset>UTF-8</charset> <!-- 此处设置字符集 -->
        </encoder>
    </appender>
    <logger name="com.hfkj.service.hlt.HuiLianTongUnionCardService" level="INFO">
        <appender-ref ref="HltCardLog" />
    </logger>
    <!-- 汇联通工会卡 -->

    <!-- 汇联通工会卡 -->
    <appender name="ChongQingCNPCLog"  class="ch.qos.logback.core.rolling.RollingFileAppender">
        <File>log/ChongQingCNPCLog.log</File>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>log/ChongQingCNPC/ChongQingCNPCLog.log.%d.%i</fileNamePattern>
            <timeBasedFileNamingAndTriggeringPolicy  class="ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP">
                <!-- or whenever the file size reaches 64 MB -->
                <maxFileSize>64 MB</maxFileSize>
            </timeBasedFileNamingAndTriggeringPolicy>
        </rollingPolicy>
        <encoder>
            <pattern>
                %d %p (%file:%line\)- %m%n
            </pattern>
            <charset>UTF-8</charset> <!-- 此处设置字符集 -->
        </encoder>
    </appender>
    <logger name="com.hfkj.service.coupon.channel.ChongQingCNPCCouponService" level="INFO">
        <appender-ref ref="ChongQingCNPCLog" />
    </logger>
    <!-- 汇联通工会卡 -->

    <!-- 中油优途中石油卡券 -->
    <appender name="PcytCNPCCouponLog"  class="ch.qos.logback.core.rolling.RollingFileAppender">
        <File>log/PcytCNPCCouponLog.log</File>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>log/PcytCNPC/PcytCNPCCouponLog.log.%d.%i</fileNamePattern>
            <timeBasedFileNamingAndTriggeringPolicy  class="ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP">
                <!-- or whenever the file size reaches 64 MB -->
                <maxFileSize>64 MB</maxFileSize>
            </timeBasedFileNamingAndTriggeringPolicy>
        </rollingPolicy>
        <encoder>
            <pattern>
                %d %p (%file:%line\)- %m%n
            </pattern>
            <charset>UTF-8</charset> <!-- 此处设置字符集 -->
        </encoder>
    </appender>
    <logger name="com.hfkj.service.coupon.channel.PcytCNPCCouponConfig" level="INFO">
        <appender-ref ref="PcytCNPCCouponLog" />
    </logger>

    <!-- 千猪接口 -->
    <appender name="QianZhuLog"  class="ch.qos.logback.core.rolling.RollingFileAppender">
        <File>log/QianZhuLog.log</File>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>log/QianZhuLog/QianZhuLog.log.%d.%i</fileNamePattern>
            <timeBasedFileNamingAndTriggeringPolicy  class="ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP">
                <!-- or whenever the file size reaches 64 MB -->
                <maxFileSize>64 MB</maxFileSize>
            </timeBasedFileNamingAndTriggeringPolicy>
        </rollingPolicy>
        <encoder>
            <pattern>
                %d %p (%file:%line\)- %m%n
            </pattern>
            <charset>UTF-8</charset> <!-- 此处设置字符集 -->
        </encoder>
    </appender>
    <logger name="com.hfkj.qianzhu.QianZhuService" level="INFO">
        <appender-ref ref="QianZhuLog" />
    </logger>
    <!-- 千猪接口 -->

    <!--话费接口 -->
    <appender name="PhoneBillLog"  class="ch.qos.logback.core.rolling.RollingFileAppender">
        <File>log/PhoneBillLog.log</File>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>log/PhoneBillLog/PhoneBillLog.log.%d.%i</fileNamePattern>
            <timeBasedFileNamingAndTriggeringPolicy  class="ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP">
                <!-- or whenever the file size reaches 64 MB -->
                <maxFileSize>64 MB</maxFileSize>
            </timeBasedFileNamingAndTriggeringPolicy>
        </rollingPolicy>
        <encoder>
            <pattern>
                %d %p (%file:%line\)- %m%n
            </pattern>
            <charset>UTF-8</charset> <!-- 此处设置字符集 -->
        </encoder>
    </appender>
    <logger name="com.hfkj.phone.PhoneBillService" level="INFO">
        <appender-ref ref="PhoneBillLog" />
    </logger>
    <!-- 话费接口 -->

    <!--美团接口 -->
    <appender name="MeiTuanLog"  class="ch.qos.logback.core.rolling.RollingFileAppender">
        <File>log/MeiTuanLog.log</File>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>log/MeiTuanLog/MeiTuanLog.log.%d.%i</fileNamePattern>
            <timeBasedFileNamingAndTriggeringPolicy  class="ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP">
                <!-- or whenever the file size reaches 64 MB -->
                <maxFileSize>64 MB</maxFileSize>
            </timeBasedFileNamingAndTriggeringPolicy>
        </rollingPolicy>
        <encoder>
            <pattern>
                %d %p (%file:%line\)- %m%n
            </pattern>
            <charset>UTF-8</charset> <!-- 此处设置字符集 -->
        </encoder>
    </appender>
    <logger name="com.hfkj.meituan.MeiTuanService" level="INFO">
        <appender-ref ref="MeiTuanLog" />
    </logger>
    <!-- 美团接口 -->

    <!--娱尚接口 -->
    <appender name="YuShangLog"  class="ch.qos.logback.core.rolling.RollingFileAppender">
        <File>log/YuShangLog.log</File>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>log/YuShangLog/YuShangLog.log.%d.%i</fileNamePattern>
            <timeBasedFileNamingAndTriggeringPolicy  class="ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP">
                <!-- or whenever the file size reaches 64 MB -->
                <maxFileSize>64 MB</maxFileSize>
            </timeBasedFileNamingAndTriggeringPolicy>
        </rollingPolicy>
        <encoder>
            <pattern>
                %d %p (%file:%line\)- %m%n
            </pattern>
            <charset>UTF-8</charset> <!-- 此处设置字符集 -->
        </encoder>
    </appender>
    <logger name="com.hfkj.yushang.YuShangService" level="INFO">
        <appender-ref ref="YuShangLog" />
    </logger>
    <!-- 娱尚接口 -->

    <!--嗨加油接口 -->
    <appender name="HaiOilLog"  class="ch.qos.logback.core.rolling.RollingFileAppender">
        <File>log/HaiOilLog.log</File>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>log/HaiOilLog/HaiOilLog.log.%d.%i</fileNamePattern>
            <timeBasedFileNamingAndTriggeringPolicy  class="ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP">
                <!-- or whenever the file size reaches 64 MB -->
                <maxFileSize>64 MB</maxFileSize>
            </timeBasedFileNamingAndTriggeringPolicy>
        </rollingPolicy>
        <encoder>
            <pattern>
                %d %p (%file:%line\)- %m%n
            </pattern>
            <charset>UTF-8</charset> <!-- 此处设置字符集 -->
        </encoder>
    </appender>
    <logger name="com.hfkj.haioil.HaiOilService" level="INFO">
        <appender-ref ref="HaiOilLog" />
    </logger>
    <!-- 嗨加油接口 -->
</configuration>
